> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surefeedback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all approvals

> Get all page approvals for a site.

Returns all page approval records for a site.

## Path parameters

<ParamField path="siteId" type="string" required>
  UUID or site token of the site.
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": [
      {
        "page_url": "https://example.com/home",
        "status": "approved",
        "approved_by": { "id": "...", "name": "Jane Smith" },
        "approved_at": "2026-03-01T09:00:00Z"
      },
      {
        "page_url": "https://example.com/about",
        "status": "unapproved"
      }
    ]
  }
  ```
</ResponseExample>
